local addon = LibStub("AceAddon-3.0"):NewAddon("TTD Options", "AceConsole-3.0")
local TTDLDB = LibStub("LibDataBroker-1.1"):NewDataObject("TimeToDeath Options", {
	type = "data source",
	text = "TimeToDeath Options",
	icon = "Interface\\Icons\\ability_creature_cursed_02",
	OnClick = function() showOptions() end,
})
local icon = LibStub("LibDBIcon-1.0")

function addon:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("TTDDB", {
		profile = {
			minimap = {
				hide = false,
			},
		},
	})
	icon:Register("TimeToDeath Options", TTDLDB, self.db.profile.minimap)
	self:RegisterChatCommand("ttd", "slashTimeToDeath")
end

function addon:slashTimeToDeath()
	showOptions()
end